Epic Games
Get Epic Games creator and public profile data
POST
/
tools
/
epic-games
/
creator
Get Epic Games creator and public profile data
curl --request POST \
--url https://api.osint.ly/tools/epic-games/creator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "some-player",
"type": "epic_display_name"
}
'import requests
url = "https://api.osint.ly/tools/epic-games/creator"
payload = {
"value": "some-player",
"type": "epic_display_name"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'some-player', type: 'epic_display_name'})
};
fetch('https://api.osint.ly/tools/epic-games/creator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accountId": "<string>",
"affiliate": {
"found": true
},
"islands": {},
"profile": {
"data": {
"bio": "<string>",
"creatorPageUrl": "<string>",
"displayName": "<string>",
"followerCount": 123,
"images": {
"avatar": "<string>",
"banner": "<string>"
},
"title": "<string>"
},
"error": null,
"found": true,
"pageProps": null,
"publishedIslands": [
"<unknown>"
],
"raw": null,
"social": {
"discord": "<string>",
"instagram": "<string>",
"tiktok": "<string>",
"twitch": "<string>",
"twitter": "<string>",
"website": "<string>",
"youtube": "<string>"
}
}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"savedResult": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
}
},
"operation": "creator",
"query": {
"value": "<string>",
"type": "<string>",
"normalizedType": "<string>"
},
"tool": "epic-games"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"path": "value",
"message": "Invalid value"
}
]
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PROVIDER_UNAVAILABLE",
"message": "Provider unavailable",
"details": "A required enrichment source is unavailable for this operation"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Epic identifier to enrich.
Examples:
"some-player"
"some-player#1234"
Canonical type or accepted alias.
Available options:
epic_display_name, epic_account_id, creator_code, psn_username, steam_username, xbox_username, psn_account_id, steam_id, nintendo_account_id, epic, epic_id, creator, psn, playstation, steam, steamid, xbox, xbl, xlb, nintendo Example:
"epic_display_name"
Only used on /all. When true, saves the synchronous result for later retrieval.
Response
Epic Games creator response. Creator profile fields are public and nullable when unavailable.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Allowed value:
"creator"Show child attributes
Show child attributes
Available options:
epic-games, vehicle-history-finder, xbox, playstation, roblox, steam, socialclub Allowed value:
"epic-games"Was this page helpful?
⌘I
Get Epic Games creator and public profile data
